Subject: Re: bug#11788: [babc40c4] still fails to implement HTTPS over HTTP proxy properly

From: David Engster <[email-masked]>
Date: Wed, 06 Apr 2016 20:01:25 +0200

Lars Magne Ingebrigtsen writes:
> David Engster <[email-masked]> writes:
>
>> I think this fixes a pretty serious bug and should hence land in
>> emacs-25.
>
> I've now backported it.

I see you reverted it.

I can understand your reasoning, but IMHO it is unacceptable that people
are led to believe they communicate over https when in fact they
don't. It is not uncommon that sites still accept credentials over http
as well as https.

At least let's properly fail when people try to use https over a proxy.

-David